Eclipse Platform Release 3.7

## org.eclipse.core.databinding.validation
Interface IValidator

    public interface IValidator

A validator. This validator is responsible for determining if a given value is valid. Validators can be used on target or model values. For example, a String2IntValidator would only accept source Strings that can successfully be converted to an integer value, and a PositiveIntegerValidator would only accept positive integers.

Since:
  1.0

Method Summary
`IStatus` `validate(Object value)` Determines if the given value is valid.

Method Detail

### validate

    IStatus validate(Object value)

  Determines if the given value is valid.

  Parameters:
    `value` - the value to validate
  Returns:
    a status object indicating whether the validation succeeded `IStatus.isOK()` or not. Never null.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.